## ddir 2010.0321%2Bgit1685e72

=== debian/changelog ===
ddir (2010.0321+git1685e72-2) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Description): Adjust wording. Fix typos (Closes: #615480).
    - (Standards-Version): Update to 3.9.1.
  * debian/source/format
    - Update to format "3.0 (quilt)".
  * debian/rules
    - Remove unnecessary rules handled by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 27 Feb 2011 10:37:00 +0200

ddir (2010.0321+git1685e72-1) unstable; urgency=low

  * Initial release (Closes: #573960).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 21 Mar 2010 14:50:24 +0200
