=== debian/control ===
Source: ddir
Priority: optional
Section: utils
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/ddir.git
Vcs-Git: git://git.debian.org/git/collab-maint/ddir.git
Homepage: http://freshmeat.net/projects/ddir

Package: ddir
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: display hierarchical directory tree
 Display an indented directory tree using ASCII graphical characters to
 represent the hierarchical structure. The directories to include or
 exclude can be specified with command line options. Ddir is a Perl
 implementation of the tree(1) program.
