## ddir 2010.0321+git1685e72

=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=ddir
# NOTE: This project is packaged directly from upstream Git. See
# copyright file for URL to project page.
