=== debian/changelog ===
ddir (2016.1029+gitce9f8e4-1) unstable; urgency=medium

  * Nre upstream snapshot release.
  * debian/watch
    - Update to Github

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Oct 2016 19:44:39 +0300

ddir (2010.0321+git1685e72-3) unstable; urgency=medium

  * debian/copyright
    - Update to format 1.0.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): update to debhelper 9.
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 00:13:00 +0300
