=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Section: utils
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ddir.git
-Vcs-Git: git://git.debian.org/git/collab-maint/ddir.git
-Homepage: http://freshmeat.net/projects/ddir
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ddir.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ddir.git
+Homepage: https://github.com/jaalto/project-ddir
 
 Package: ddir
 Architecture: all
