=== debian/watch ===
version=3
https://github.com/jaalto/project-ddir/tags .*/(.*)\.tar\.gz
