=== debian/changelog ===
ddir (2019.0505-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/gbp.conf: file created.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 18 Jan 2023 21:01:56 -0300

ddir (2019.0505-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1 (by Debian Janitor).
  * debian/copyright:
      - Added the list of files.
      - Fixed source url.
      - Updated packaging copyright years.
      - Fixed machine-readable copyright file URI (by Debian Janitor).
  * debian/upstream/metadata:
      - Fixed upstream metadata fields: Repository (by Debian Janitor).
      - Removed obsolete field Name from debian/upstream/metadata (already
        present in machine-readable debian/copyright) (by Debian Janitor).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 04 Jan 2023 11:14:06 -0300

ddir (2019.0505-2) unstable; urgency=medium

  * debian/control:
      - Added Multi-Arch option with foreign.
      - Bumped Standards-Version to 4.5.1.
      - Updated DH to level 13.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 18 Dec 2020 16:04:14 -0300

ddir (2019.0505-1) unstable; urgency=medium

  * New upstream version 2019.0505. (Closes: #903093).
  * New maintainer. (Closes: #920066).
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Changed Vcs-* fields for new repository in salsa.
      - New format to debhelper-compat and updated level to 12.
  * debian/copyright:
      - Added new package maintainer.
      - Added old upstream author.
      - Listed all files.
      - Updated to https address.
      - Updated upstream copyright years.
  * debian/salsa-ci.yml: created to start CI tests for Salsa.
  * debian/tests/control: created to perform trivial tests.
  * debian/upstream/metadata: created.
  * debian/watch: updated.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Thu, 09 Jan 2020 14:33:46 -0300
