=== debian/control ===
Source: ddir
Priority: optional
Section: utils
Maintainer: Paulo Henrique de Lima Santana (phls) <phls@debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ddir
Vcs-Git: https://salsa.debian.org/debian/ddir.git
Homepage: https://github.com/jaalto/project-ddir

Package: ddir
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: display hierarchical directory tree
 Display an indented directory tree using ASCII graphical characters to
 represent the hierarchical structure. The directories to include or
 exclude can be specified with command line options. Ddir is a Perl
 implementation of the tree(1) program.
