## ddir 2025.0129

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2019 Jari Aalto
+#	Copyright (C) 2002-2025 Jari Aalto
 #
 #   License
 #
