=== debian/changelog ===
ddir (2025.0129-3) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * This package fails to build with GNUMAKEFLAGS=--shuffle=reverse. This
    patch fixes it. (Closes: #1104429).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 21 May 2025 18:39:56 -0300

ddir (2025.0129-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.2.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 21 May 2025 18:39:40 -0300

ddir (2025.0129-1) unstable; urgency=medium

  * New upstream release 2025.0129.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated upstream and package years.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 29 Jan 2025 14:38:54 -0300
