=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = ddir
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

override_dh_auto_install:
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install

	# Only manual pages, remove
	rm -rf $(DOCDIR)

%:
	dh  $@

# End of file
