=== debian/tests/control ===
Test-Command: ddir
