=== debian/watch ===
version=4
https://github.com/jaalto/project-ddir/tags .*/(.*)\.tar\.gz
